<?php
// +-----------------------------------------------------------------------+
// | Random Quote - a Piwigo Plugin                                        |
// | Copyright (C) 2013 Cristiano MARCHETTINI - urzahil@urzahil.com        |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

/*
Plugin Name: Random Quote
Version: 0.1
Description: Display a random quote on pages
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=714
Author: Cristiano MARCHETTINI
Author URI: http://www.urzahil.com
*/

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

function citation_header($page_banner)
{
  global $conf;

  $page_name = script_basename();
  if (! isset($conf['random_quote']))
  {
    $conf['random_quote'] = array
    (
      'admin' => false,
      'comments' => true,
      'identification' => true,
      'index' => true,
      'password' => true,
      'picture' => true,
      'popuphelp' => true,
      'profile' => true,
      'register' => true,
      'search' => true,
      'tags' => true,
    );
  }

  if (isset($conf['random_quote'][$page_name]) and $conf['random_quote'][$page_name])
  {
    $quotes = file("/home/urzahil/urzahil.com/quotes.txt");
    srand((double)microtime() * 1000000);
    $ranNum = rand(0, count($quotes)-1);
    $code_citation = '<br />'.$quotes[rand(0, count($quotes)-1)].'<br /><br />';
    return $page_banner.$code_citation;
  }
  else
  {
    return $page_banner;
  }
}

add_event_handler('render_page_banner', 'citation_header');


?>
